# chirpstack-api

ChirpStack gRPC API message and service wrappers for Python.

## Install

```sh
pip install chirpstack-api
```

## Usage

All messages, services, constants, etc. are auto-generated from the ChirpStack
protobuf definitions. The result is that this package structure matches that 
of the protobuf definitions.

The protobuf definitions can be found here:
[https://github.com/chirpstack/chirpstack/tree/master/api/proto](https://github.com/chirpstack/chirpstack/tree/master/api/proto)

## Links

* [`chirpstack-api` Python package page](https://pypi.org/project/chirpstack-api/)
* [ChirpStack documentation](https://www.chirpstack.io/)
* [Code examples](https://www.chirpstack.io/docs/chirpstack/api/python-examples.html)
